Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibdev

## Name

ibdev -- open a device (device)

## Synopsis

    #include <gpib/ib.h>

``int ibdev`(int board_index, int pad, int sad, int timeout, int send_eoi, int eos);`

## Description

ibdev() is used to obtain a device descriptor, which can then be used by other functions in the library. The argument `board_index` specifies which GPIB interface board the device is connected to. The `pad` and `sad` arguments specify the GPIB address of the device to be opened (see ibpad() and ibsad()). The timeout for io operations is specified by `timeout` (see ibtmo()). If `send_eoi` is nonzero, then the EOI line will be asserted with the last byte sent during writes (see ibeot()). Finally, the `eos` argument specifies the end-of-string character and whether or not its reception should terminate reads (see ibeos()). To suppress error messages printed to stderr by ibdev() set the environment variable IB_NO_ERROR before calling the routine.

## Return value

If sucessful, returns a (non-negative) device descriptor. On failure, -1 is returned.

Prev | Home | Next
ibconfig | Up | ibeos